org.apache.poi.ss.usermodel

## Enum IgnoredErrorType

- java.lang.Object
- - java.lang.Enum<IgnoredErrorType>
  - - org.apache.poi.ss.usermodel.IgnoredErrorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IgnoredErrorType>

      public enum IgnoredErrorType
      extends java.lang.Enum<IgnoredErrorType>

  Types of ignored workbook and worksheet error. TODO Implement these for HSSF too, using FeatFormulaErr2, see bugzilla bug #46136 for details

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALCULATED_COLUMN` ????.
    `EMPTY_CELL_REFERENCE` Whether to check for references to empty cells.
    `EVALUATION_ERROR` Whether to check for calculation/evaluation errors.
    `FORMULA` Whether to check formulas in the range of the shared feature that are inconsistent with formulas in neighbouring cells.
    `FORMULA_RANGE` Whether to check formulas in the range of the shared feature with references to less than the entirety of a range containing continuous data.
    `LIST_DATA_VALIDATION` ????.
    `NUMBER_STORED_AS_TEXT` Whether to check the format of string values and warn if they look to actually be numeric values.
    `TWO_DIGIT_TEXT_YEAR` ????.
    `UNLOCKED_FORMULA` Whether to check for unprotected formulas.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IgnoredErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IgnoredErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CALCULATED_COLUMN

          public static final IgnoredErrorType CALCULATED_COLUMN

      ????. Probably XSSF-only.

    - #### EMPTY_CELL_REFERENCE

          public static final IgnoredErrorType EMPTY_CELL_REFERENCE

      Whether to check for references to empty cells. HSSF + XSSF.

    - #### EVALUATION_ERROR

          public static final IgnoredErrorType EVALUATION_ERROR

      Whether to check for calculation/evaluation errors. HSSF + XSSF.

    - #### FORMULA

          public static final IgnoredErrorType FORMULA

      Whether to check formulas in the range of the shared feature that are inconsistent with formulas in neighbouring cells. HSSF + XSSF.

    - #### FORMULA_RANGE

          public static final IgnoredErrorType FORMULA_RANGE

      Whether to check formulas in the range of the shared feature with references to less than the entirety of a range containing continuous data. HSSF + XSSF.

    - #### LIST_DATA_VALIDATION

          public static final IgnoredErrorType LIST_DATA_VALIDATION

      ????. Is this XSSF-specific the same as performDataValidation in HSSF?

    - #### NUMBER_STORED_AS_TEXT

          public static final IgnoredErrorType NUMBER_STORED_AS_TEXT

      Whether to check the format of string values and warn if they look to actually be numeric values. HSSF + XSSF.

    - #### TWO_DIGIT_TEXT_YEAR

          public static final IgnoredErrorType TWO_DIGIT_TEXT_YEAR

      ????. Is this XSSF-specific the same as checkDateTimeFormats in HSSF?

    - #### UNLOCKED_FORMULA

          public static final IgnoredErrorType UNLOCKED_FORMULA

      Whether to check for unprotected formulas. HSSF + XSSF.

  - ### Method Detail

    - #### values

          public static IgnoredErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IgnoredErrorType c : IgnoredErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IgnoredErrorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.